CVE-2006-2323
CVSS5.1
发布时间 :2006-05-11 20:02:00
修订时间 :2008-09-05 17:04:14
NMCO    

[原文]Multiple PHP remote file inclusion vulnerabilities in SmartISoft phpListPro 2.01 and earlier allow remote attackers to execute arbitrary PHP code via a URL in the returnpath parameter in (1) editsite.php, (2) addsite.php, and (3) in.php. NOTE: The config.php vector is already covered by CVE-2006-1749.


[CNNVD]SmartISoft phpListPro 多个PHP远程文件包含漏洞(CNNVD-200605-194)

        SmartISoft phpListPro 2.01及之前版本存在多个PHP远程文件包含漏洞。远程攻击者可以借助 (1) editsite.php, (2) addsite.php和(3) in.php中的returnpath参数当中的URL,执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:smartisoft:phplistpro:2.0
cpe:/a:smartisoft:phplistpro:2.01

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2323
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2323
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-194
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/archive/1/archive/1/433562/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060508 PhpListPro 2.01 Remote File Include Vulnerability
http://www.securityfocus.com/archive/1/archive/1/433285/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060508 [MajorSecurity] phpListPro <= 2.01 - Multiple Remote File Include Vulnerability
http://xforce.iss.net/xforce/xfdb/26359
(UNKNOWN)  XF  phplistpro-multiple-file-include(26359)
http://www.osvdb.org/25906
(UNKNOWN)  OSVDB  25906
http://www.osvdb.org/25905
(UNKNOWN)  OSVDB  25905
http://www.osvdb.org/25904
(UNKNOWN)  OSVDB  25904
http://securitytracker.com/id?1016060
(UNKNOWN)  SECTRACK  1016060
http://securityreason.com/securityalert/882
(UNKNOWN)  SREASON  882
http://securityreason.com/securityalert/688
(UNKNOWN)  SREASON  688
http://securityreason.com/securityalert/156
(UNKNOWN)  SREASON  156

- 漏洞信息

SmartISoft phpListPro 多个PHP远程文件包含漏洞
中危 未知
2006-05-11 00:00:00 2006-05-12 00:00:00
远程  
        SmartISoft phpListPro 2.01及之前版本存在多个PHP远程文件包含漏洞。远程攻击者可以借助 (1) editsite.php, (2) addsite.php和(3) in.php中的returnpath参数当中的URL,执行任意PHP代码。

- 公告与补丁

        

- 漏洞信息

25904
phpListPro editsite.php returnpath Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

PhpListPro contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to editsite.php not properly sanitizing user input supplied to the returnpath variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-05-08 Unknow
2006-05-08 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站